AutoCAD Inventor :: Cannot Set Values Of A Sketch Point

Jan 17, 2012

I'm trying to contrain the end points of 2 lines using iLogic. I know the end points but I cannot get the values into the SketchPoint object. The real odd thing is I can create the lines no problem. I tried it 2 different ways shown below. The first way gives me this error..."Object reference not set to an instance of an object.". The second says "Unable to cast COM object.."

Dim oTG As TransientGeometry
oTG = ThisApplication.TransientGeometry
Dim EntityEndPt As SketchPoint
EndPtX = 0 * 2.54
EndPtY = 3 * 2.54
‘Code Fails Here!
EntityStartPt.Geometry.X = EndPtX

View 5 Replies


ADVERTISEMENT

AutoCAD Inventor :: How To Get Sketch Point Data From Sketch Entity

Dec 3, 2013

I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.

Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; } 

View 2 Replies View Related

AutoCAD Inventor :: Get Dimensional Values Without Going To Edit Sketch?

Mar 19, 2012

without going to edit sketch can i get dimensional values

View 3 Replies View Related

AutoCAD Inventor :: 3D Sketch Only Allow One Edge Through A Point

Jan 18, 2012

I use vb.net draw a cube frame (just point and add edge to link points) in 3dsketch. But at the corner, I got only one edge, the others are filled that is a arc is inserted between the 2nd & 3rd edge to the corner point. There is no second edge is extended to that point.

Just wondering why I got the result. There is no fillet command in my code.

View 1 Replies View Related

AutoCAD Inventor :: Coincidence Point In 3D Sketch

Dec 15, 2012

I want to concide two points of two different lines.These two lines have been created in two different workplanes with 2D sketch.

View 7 Replies View Related

AutoCAD Inventor :: How To Get The Center Point For Sketch

Nov 11, 2013

I just want to know that how can I get the center point from a Sketch Object ?

View 1 Replies View Related

AutoCAD Inventor :: Add Sketch-point To Midpoint Of Arc?

Mar 16, 2012

How would one add a sketch-point to a midpoint of an arc? For a SketchLine its easy...

oSketch.GeometricConstraints.AddMidpoint oSketchPoint, oSketchLine

However, I can't see how to do the same operation to find the midpoint of a SketchArc. The interface of course has a selection filter for this so I assume the API can do the same?

View 6 Replies View Related

AutoCAD Inventor :: Sketch Origin Center Point

May 6, 2013

The screen shot below shows three coincident constraints and a projection icon on the origin.

 looks like a projection icon - what does it mean?

I want to delete the three coincident constraints. But when I delete the coincident constraints there is no Sketch origin center point (the sketch origin center point is a square-yellow dot at the x-y intersection). How to delete or move the three coincident constraints with out deleting the sketch origin center point?

View 2 Replies View Related

AutoCAD Inventor :: Can't Use Sketch To Create Point Or Axis

Oct 4, 2011

I have this assembly shown in the pic. below. I'm trying to create a point or axis in the blue corner points (to attaches something later on) but it just won't let me choose it for some reason. I know that it's possible to to do that (almost sure I already done this trivial thing in inventor.)

Any reason it's not letting me choose the sketch points/line to in order to create points or axis(s)?

Inventor 2012 Pro.
I7 workstation

View 8 Replies View Related

AutoCAD Inventor :: How To Make A Plane Through Sketch Point

Sep 27, 2013

I cannot make a plane parallel to a surface and through a sketch point.

I can't also select the sketch point or line in order to make an axis. the sketch point, line from the sketch or anything from a sketch isn't selectable.

View 4 Replies View Related

AutoCAD Inventor :: Retrieve Start Point On New Sketch

Apr 24, 2012

how do I retrieve the centre point in my design axis in Inventor, when I create a new sketch, like the point at x0:y0:z0

View 2 Replies View Related

AutoCAD Inventor :: Can't Grab / Move Any Point On Sketch

Sep 20, 2013

It goes f.e. like this:

I draw a line (no constrains) and I can move it by grabing an end or whole line by click&hold mouse button, great.

But after couple minutes of work with part and sketches I can't grab anything. Even on new created sketches and new lines. Click and drag just open rectangle selection. Oh, between these phases there is a phase when 2nd click&hold works...

When I open/create another part it is normall, but this one I must close and open again.

View 2 Replies View Related

AutoCAD Inventor :: Turned Off Snap To End Point In Sketch Mode?

Oct 19, 2011

Inventor 2010

Some how I turned off the snap to end point in the sketch mode. where is the dialog box to control snap settings

View 2 Replies View Related

AutoCAD Inventor :: Using ILogic To Find Sketch Point Locations

Jul 11, 2012

I would like to use iLogic to find the location of the points of a line, determine if the line is approximately vertical, and apply a vertical constraint if it is vertical.

Here is the code process I envision:

1. Automatically select a straight line.

2. Find the location of its end points.

3. Compare the X-value of the end points to see if they are vertically aligned (or almost so).

4. If they are vertically aligned, apply a vertical constraint.

5. Select next line and repeat.

Is this possible with iLogic? I don't see any way of calling a line's sketch points or finding their location.

View 4 Replies View Related

AutoCAD Inventor :: 2 Point Centre Rectangle Sketch Offset

Jul 9, 2013

I know why you cant loop select and offset the rectangle but surley if you are going to take the time to listen to users and create requested tools, you should do it well?

View 4 Replies View Related

AutoCAD Inventor :: How To Click On Two Lines In A Part Sketch And Get There Intersection Point Using VBA

Oct 29, 2013

In assembly mode, how can I click on two lines in a part sketch and get there intersection point using VBA?

View 3 Replies View Related

AutoCAD Inventor :: Constraining A Part To A Sketch Point In The Assembly Environment

Aug 7, 2012

Unfortunately, it's chock full of proprietary customer data, so I can't share the parts or the assembly.  But I can pretty well explain what needs to happen, and I've attached a JPG that shows a bit of what I'm doing.

I need to design a bracket to hold an RPM sensor at a certain gap to a spiral bevel gear.  I've got a huge assembly model (non-Inventor) from the customer, as well as the model for the sensor.  My plan is to start a master IAM, insert the customer assembly, insert the sensor and constrain him, and draw the various hardware I need around the sensor.

So I start by making a work plane that matches the bevel angle and is in a location so the end of my sensor will be flush to that plane.  Create a sketch on that plane, then project 2 relevant axes to create the appropriate "origin" from which my location will be based.  Place a point on one line, at a certain radial distance and constrain my point.

So now I've got a point and a plane that are where I want my sensing face and my centerline axis to be.  What now?  I was thinking that I'd create a work axis "normal to plane through a point", but this workflow isn't available in the assembly environment.  I can't constrain a solid to a sketch point, so I really don't know what to do at this point in order to put the part where I need it.

View 2 Replies View Related

AutoCAD Inventor :: Export Start And End Point Of Various Lines In Sketch To Excel File?

Oct 26, 2012

I have been searching for a macro to export the start and end point of a line coordinates to excel, but I can only find information on how to export 3D Points.

Is it possible to program a macro that allows me to export the start and end point of various lines in a sketch?

The objective of this is to connect an excel file which is updated when I create a line with it correspondent points, then i could not only import these x,y,z coordinates from excel to inventor but I whould be able to update my spreedsheet whenever I change my sketch.

View 1 Replies View Related

AutoCad :: Export X / Y / Z Values With A Point Number

Feb 8, 2011

Im trying to export x,y,z values with a point number. no problem with the xyz bit but cant suss the number part.

View 4 Replies View Related

AutoCAD Civil 3D :: Insert A Point With Assigned Values

Sep 28, 2013

What is the best way to insert a c3d point with assigned values. For example, I want to insert a point with the style curb stop, on a certain layer with a certain label. Going through thr insert point tool is not very user friendly for users looking to add points, not assign properties. Can this operation be added to the tool palettes? I am not familar with creating my own.

C3D 2012 or 2014
Civil 3D 2012 SP4.0 Windows 7 Enterprise 64-bit
C3D 2014 SP1
Dell M6600, Core i7 @ 2.3GHz, 16 GB ram
Dell T3500 workstation, too much ram to post

View 6 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Extract Values X Y Z From Vlax-3D-point

Jan 3, 2012

how to extract value X Y Z of point p3 p4

(defun c:test ()
  (vl-load-com)
  (setq actdoc (vla-get-ActiveDocument (vlax-get-acad-object)))
  (setq objm (vla-get-ModelSpace actdoc))
  (setq obju (vla-get-Utility actdoc))
(setq oldhigh (getvar "Highlight") oldsnap (getvar "Osmode") oldblip (getvar "BlipMode") oldecho (getvar "Cmdecho") );setq
(setvar "Highlight" 0) (setvar "Osmode" 517) (setvar "Cmdecho" 0)  (setvar "Blipmode" 0)

[code]....

View 4 Replies View Related

AutoCAD Inventor :: Shared Sketch Generates Sketch Doctor Error - Feature Suppressed

Sep 21, 2011

I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013

View 2 Replies View Related

AutoCAD Inventor :: Copy Part Sketch Into Drawing Sketch

Sep 20, 2012

How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?

I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations.  Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.

I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist.  I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.

I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way.  I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option.  I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.

View 4 Replies View Related

AutoCAD Inventor :: Converting 3D Sketch To 2D Sketch From IGS File Using Wires?

Aug 1, 2011

First we imported an ".igs" file to inventor, which produced "wires".  Then by promoting the wires it produced a 3-d sketch. 

The model is in one plane and 2-D, and we are trying to use Ansys 2-D analysis, but in-order to do so it needs to be in a 2-D sketch.

The model is too large to be redrawn on a 2-D plane, how to convert it to a 2-D sketch

View 9 Replies View Related

AutoCAD Inventor :: Change Sketch 2013 Into Sketch Of 2010?

Dec 14, 2012

want to change sketch 2013 into the sketch of 2010 

View 1 Replies View Related

AutoCAD Inventor :: Sketch Disappears When Editing Another Sketch?

May 30, 2013

When I edit certain sketched some other sketches disappear. see attached.

This is causing modelling to slow down as I can not project lines from the sketch that has disappeared.

View 8 Replies View Related

AutoCAD Inventor :: Modify The Sketch From Projected Sketch?

Aug 22, 2012

After I create a adaptive part from projected sketch. How to modify the sketch? Please see the part attached.

View 6 Replies View Related

AutoCAD Inventor :: Difference Between Sketch And Planar Sketch?

Mar 4, 2012

what is the difference between a sketch and a planar sketch?

View 2 Replies View Related

AutoCAD Inventor :: Constraining A Sketch To Another Sketch?

Aug 16, 2012

I'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?

View 2 Replies View Related

AutoCAD Inventor :: Setting Up Point On Different Layer To Mark Center Point Of Circle?

Nov 15, 2012

I need to find a way how to insert a point or a * on the center point of a hole and put it on a different layer. The reason for this is - I am a CAD tech for a welding shop and we cut parts out of steel and we use the dxf file format for our plasma table to cut parts. For example : if i have a 1 inch thick plate and want to put a 3/4'' hole in the plate the hole will be distorted because the hole is smaller than the material thickness. For these situation we can use the plasma table to burn a point or a dot on the center point of the hole. But to do this the point or dot must be on a different layer in the dxf.

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Attribute Blocks - Change 1st Tag Values Automatically According To 2nd Values

Jul 18, 2013

I have an attribute blocks and this att block has two tag values , is there a simple code for to change 1st tag values automaticly according to  2nd values ?

for example :

1st tag (50x50) - 2nd tag ( 100 )    ==> 50x50-100

if i enter 201 valuse to 2nd tag then 1 st tag has to change as 100x100

if i enter 501 valuse to 2nd tag then 1 st tag has to change as 150x510

I attached a jpg file for explain much better

View 9 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved